Skyrim your game version is not supported fix

i keep on getting this error message when i try to load skyrim, saying, my "game version is not supported
supported patches; 1.1.21.0" ect, please can someone give me some advice?
3 answers Last reply
More about skyrim game version supported
  1. are there updates that you have missed?
    otherwise, I'ld recommend uninstalling, and try re-installing the game...
  2. Is it a cracked version? If so, that's the problem.
  3. Check this link for help:

    http://steamcommunity.com/app/72850/discussions/0/864950398851931181/

    Also, try updating to the current update.
Ask a new question

Read More

Configuration Games Error Message Skyrim Windows 7